-- +goose Up
-- +goose StatementBegin
CREATE TABLE articles (
    id              SERIAL PRIMARY KEY,
    title           VARCHAR(255) NOT NULL,
    sourceUrl       VARCHAR(255) NOT NULL UNIQUE,
    author          VARCHAR(255) NOT NULL,
    content         TEXT NOT NULL,
    publishDate     TIMESTAMP NOT NULL,
    fetchDate       TIMESTAMP NOT NULL
);
-- +goose StatementEnd

-- +goose Down
-- +goose StatementBegin
DROP TABLE IF EXISTS articles;
-- +goose StatementEnd
